Page MenuHomePhabricator

[Task] Remove slow $().closest call from snakview
Closed, ResolvedPublic

Event Timeline

adrianheine raised the priority of this task from to Medium.
adrianheine updated the task description. (Show Details)
adrianheine added subscribers: adrianheine, Jonas.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 3 2016, 9:58 AM

Change 268066 had a related patch set uploaded (by Adrian Lang):
Remove slow $().closest call from snakview

https://gerrit.wikimedia.org/r/268066

Change 268066 merged by jenkins-bot:
Remove slow $().closest call from snakview

https://gerrit.wikimedia.org/r/268066

Is this done? I still see about 40 usages of closest in our code base, some in the relevant snakview toolbars and an other one in RankSelector.

thiemowmde set Security to None.
adrianheine closed this task as Resolved.Feb 4 2016, 2:18 PM
adrianheine claimed this task.

This wasn't about closest in general, but about this usage (btw, we broke qualifiers and references in this patch).

Jonas reopened this task as Open.Feb 4 2016, 3:07 PM

SnakView for references is broken after editing.

Change 268400 had a related patch set uploaded (by Jonas Kress (WMDE)):
Fixes SnakView for references is broken after edit

https://gerrit.wikimedia.org/r/268400

Change 268400 merged by jenkins-bot:
Fixes SnakView for references is broken after edit

https://gerrit.wikimedia.org/r/268400

Jonas closed this task as Resolved.Feb 5 2016, 10:50 AM
matej_suchanek removed a subscriber: gerritbot.